Cyberduck Mountain Duck CLI

#6083 closed defect (fixed)

No fallback for failed LIST command with -a option

Reported by: raffael Owned by: dkocher
Priority: normal Milestone: 4.1.1
Component: ftp Version: Nightly Build
Severity: blocker Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.6

Description (last modified by dkocher)

After 4.x update I cannot connect to my océ plotter ftp site. With cyberduck 3.x I could. This is CD 3.x connection log:

220 TDS400 FTP Service (Version 3.2.1).
USER anonymous
331 anonymous access allowed, send identity (e-mail name) as password.
PASS ********
230 Anonymous user logged in.
FEAT
211-Extensions supported
 XPWD
 LANG EN*
 UTF8
211 end
OPTS UTF8 ON
500 ' OPTS UTF8 ON' command not supported or understood
CWD /
250 CWD command successful.
SYST
215 Windows_NT version 4.0.
STAT /
500 ' STAT /' command not supported or understood
PASV
227 Entering Passive Mode (192,168,0,4,4,232).
LIST -a
550 /-a:Filename, dir name, or volume label is incorrect.
PASV
227 Entering Passive Mode (192,168,0,4,4,233).
LIST
150 Opening ASCII mode data connection for /.
d-w--w--w-   1    Owner    group          0 Jan  1  2000 jobs
dr--r--r--   1    Owner    group          0 Dec 18  2009 logging
dr--r--r--   1    Owner    group          0 Jan  1  2000 tempstore
226 Transfer complete.

And this is CD 4.1 (8914) connection log (FTP Error: 550 /-a:Filename, dir name, or volume label is incorrect.):

220 TDS400 FTP Service (Version 3.2.1).
USER anonymous
331 anonymous access allowed, send identity (e-mail name) as password.
PASS ********
230 Anonymous user logged in.
FEAT
211-Extensions supported
 XPWD
 LANG EN*
 UTF8
211 end
OPTS UTF8 ON
500 ' OPTS UTF8 ON' command not supported or understood
NOOP
500 ' NOOP' command not supported or understood
SYST
215 Windows_NT version 4.0.
CWD /
250 CWD command successful.
TYPE A
200 Type set to A.
PASV
227 Entering Passive Mode (192,168,0,4,5,19).
LIST -a
550 /-a:Filename, dir name, or volume label is incorrect.
PWD
257 "/" is current directory.

Attachments (1)

Schermata 2011-07-18 a 11.34.58.png (159.3 KB) - added by raffael on Jul 18, 2011 at 9:36:07 AM.

Download all attachments as: .zip

Change History (4)

comment:1 Changed on Jul 18, 2011 at 8:50:47 PM by dkocher

  • Status changed from new to assigned
  • Summary changed from Failed connection with Cyberduck 4.x to No fallback for failed LIST command with -a option

comment:2 Changed on Jul 28, 2011 at 8:59:47 PM by dkocher

  • Description modified (diff)

comment:3 Changed on Jul 28, 2011 at 9:16:16 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r8961.

Note: See TracTickets for help on using tickets.